unit Unit1;

interface

uses
  Windows,
  ShellAPI,
  ImgList,
  Controls,
  Graphics,
  StdCtrls,
  Classes,
  Forms,
  Dialogs,
  ExtCtrls, jpeg;

type
  TForm1 = class(TForm)
    Button2: TButton;
    ImageList1: TImageList;
    Button3: TButton;
    Button1: TButton;
    Image1: TImage;
    Label4: TLabel;
    Label5: TLabel;
    Button4: TButton;
  Button5: TButton;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  procedure Label5Click(Sender: TObject);
  procedure Button4Click(Sender: TObject);
  procedure UrlClick(Sender: TObject);
  procedure FormCreate(Sender: TObject);

  private
  public

end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 MessageDlg('Voici un exemple de fentre de dialogue "Classique".', mtConfirmation, [mbYes, mbNo], 0)
end;

procedure TForm1.Button2Click(Sender: TObject);
begin

  with CreateMessageDialog('Voici un exemple de fentre de dialogue avec des couleurs. Ici la couleur de fond, le texte de la boite, la couleur du texte du message, le style et focus d''un bouton... ont t modifis.', mtError, mbOKCancel) do
    try
    { Rcuprer le focus des boutons }
      TButton(FindComponent('Cancel')).TabOrder := 0;
    { Appliquer du gras et de l'italique sur un bouton }
      TButton(FindComponent('Cancel')).Caption := 'Non ?';
      TButton(FindComponent('Cancel')).Font.Style := [fsBold];
    { Changer la couleur, couleur du text, style.. }
      TLabel(FindComponent('Message')).Color := clwhite;
      TLabel(FindComponent('Message')).Font.Color := clRed;
      TLabel(FindComponent('Message')).Font.Style := [fsBold, fsItalic];
    { Dfinir de nouvelles dimensions }
     // Proprit => Height / Width
    { Dfinir une position }
     // Proprit => Left / Top
      Position := poScreenCenter;
    { Changer la couleur de la boite de dialogue }
      Color := clRed;
    { Changer le texte, style de la boite de dialogue, ext.. (proprits => TForm) }
      Caption := 'Dialoguez en couleurs !';
     // ex : BorderStyle := bsToolWindow;
      ShowModal;
    finally
      Free;
    end;

end;

procedure TForm1.Button3Click(Sender: TObject);
begin

  with CreateMessageDialog('Vive Delphi... ', mtConfirmation, mbOKCancel) do
    try
      Caption := 'Look Extrme !';
      TLabel(FindComponent('Message')).Font.Color := $00C08000;
      TLabel(FindComponent('Message')).Font.name := 'Mistral';
      TLabel(FindComponent('Message')).Font.Size := 13;
      TButton(FindComponent('Cancel')).TabOrder := 1;
      TButton(FindComponent('Cancel')).Caption := '.... ?';
      TButton(FindComponent('Cancel')).Hint := 'Info-bulle !';
      TButton(FindComponent('Cancel')).ShowHint := True;
      TButton(FindComponent('Ok')).Caption := '.... ?';
      TButton(FindComponent('Ok')).Hint := 'Info-bulle !';
      TButton(FindComponent('Ok')).ShowHint := True;
      TImage(FindComponent('Image')).Transparent := True;
      ImageList1.GetBitmap(0, TImage(Findcomponent('Image')).Picture.Bitmap);
      AnimateWindow(Handle, 500, AW_CENTER);
      Position := poScreenCenter;
      ShowModal;
    finally
      Free;
    end;

end;

procedure TForm1.Label5Click(Sender: TObject);
begin
    shellexecute(0,'open', 'http://dev-zone.com/faq/delphi/fqdph_index.php', nil, nil, SW_SHOWMAXIMIZED	);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin

    with CreateMessageDialog('http://phidels.com/', mtWarning, mbOKCancel) do
      try
        Caption := 'Une boite de dialogue avec lien en ligne !';
        TLabel(FindComponent('Message')).Font.Color := clblue;
        TLabel(FindComponent('Message')).Font.Style := [fsUnderline];
        TLabel(FindComponent('Message')).Cursor := crHandPoint;
        TLabel(FindComponent('Message')).ShowHint := True;
        TLabel(FindComponent('Message')).Hint := 'Cliquez pour vous connecter.';
        TLabel(FindComponent('Message')).OnClick := UrlClick;
        Position := poScreenCenter;
        ShowModal;
      finally
        Free;
      end;

end;

procedure TForm1.UrlClick(Sender: TObject);
begin
 ShellExecute(0, 'Open', 'http://phidels.com/', nil, nil, SW_SHOWMAXIMIZED);
end;
  
procedure TForm1.FormCreate(Sender: TObject);
begin
  top  := 20;
  left := 20;
end;
end.
